=== debian/changelog ===
r-base (4.4.2-1.1604.0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.7 LTS
  * debian/control Changed dependency to generic tcl-dev and tk-dev
  * debian/control Remove Breaks
  * Revert provides to r-api-3
  * debian/control: Use default-jdk
  * debian/control: Use texlive-generic-recommended
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10
  * Added dependency on dh-r

 -- Michael Rutter <marutter@gmail.com>  Sun, 03 Nov 2024 15:50:25 +0000

r-base (4.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 31 Oct 2024 07:26:21 -0500
