=== debian/changelog ===
r-base (4.4.3-1) unstable; urgency=medium

  * New upstream release

  * debian/r-cran.mk: No longer reference simple-patchsys.mk (Closes: #108935)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Feb 2025 06:35:07 -0600
