=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.7.0
-Build-Depends: gcc (>= 4:4.9.2-2), g++ (>= 4:4.9.2-2), gfortran (>= 4:4.9.2-2), libblas-dev, liblapack-dev, tcl-dev, tk-dev, bison, groff-base, libncurses-dev, libreadline-dev, debhelper, texinfo, libbz2-dev, liblzma-dev, libpcre2-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-generic-recommended, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-any !hurd-any] | openjdk-10-jdk [!arm !hppa !kfreebsd-any !hurd-any], mpack, bash-completion, libtirpc-dev
+Build-Depends: gcc (>= 4:4.9.2-2), g++ (>= 4:4.9.2-2), gfortran (>= 4:4.9.2-2), libblas-dev, liblapack-dev, tcl8.6-dev, tk8.6-dev, bison, groff-base, libncurses-dev, libreadline-dev, debhelper-compat (= 13), texinfo, libbz2-dev, liblzma-dev, libpcre2-dev, libcurl4-openssl-dev | libcurl4-dev, xdg-utils, zlib1g-dev, libpng-dev, libjpeg-dev, libx11-dev, libxt-dev, x11proto-core-dev, libpango1.0-dev, libcairo2-dev, libtiff-dev, xvfb, xauth, xfonts-base, texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, default-jdk [!arm !hppa !kfreebsd-any !hurd-any] | openjdk-10-jdk [!arm !hppa !kfreebsd-any !hurd-any], mpack, bash-completion, libtirpc-dev
 Vcs-Browser: https://salsa.debian.org/edd/r-base
 Vcs-Git: https://salsa.debian.org/edd/r-base.git
 Homepage: http://www.r-project.org/
@@ -52,6 +52,17 @@
 Provides: r-api-4.0, r-graphics-engine-${graphicsengine:Version}
 Recommends: r-recommended, r-base-dev, r-doc-html
 Suggests: elpa-ess, r-doc-info | r-doc-pdf, r-mathlib, r-base-html
+Breaks: r-cran-cairo (<< 1.6-0-4~),
+        r-cran-intervals (<< 0.15.3-1~),
+        r-cran-fnn (<< 1.1.3.2-1~),
+        r-cran-magick (<< 2.7.4+dfsg-2~),
+        r-cran-maldiquant (<< 1.22.1-1~),
+        r-cran-ps (<< 1.7.5-1~),
+        r-cran-ragg (<< 1.2.5-3~),
+        r-cran-svglite (<< 2.1.1-3~),
+        r-cran-tibble (<< 3.2.1+dfsg-2~),
+        r-cran-tikzdevice (<< 0.12.4-3~),
+        r-cran-vdiffr (<< 1.0.5-3~)
 Description: GNU R core of statistical computation and graphics system
  R is a system for statistical computation and graphics.  It consists 
  of a language plus a run-time environment with graphics, a debugger, 
@@ -207,13 +218,3 @@
  Most of the user-visible functions in R are written in R.  It is 
  possible for the user to interface to procedures written in the 
  C, C++, or FORTRAN languages for efficiency, and many of R's core 
- functions do so.  The R distribution contains functionality for a 
- large number of statistical procedures and underlying applied math 
- computations.  There is also a large set of functions which provide 
- a flexible graphical environment for creating various kinds of data 
- presentations. 
- .
- Additionally, several thousand extension "packages" are available from 
- CRAN, the Comprehensive R Archive Network, many also as Debian packages, 
- named 'r-cran-<name>'.
- .
