=== debian/changelog ===
r-base (4.5.0-3) unstable; urgency=medium

  * debian/control: Update Breaks: for r-base-core to aid the transition
    of this 4.5.0 release to the upcoming 'trixie' release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Apr 2025 16:56:39 -0500

r-base (4.5.0-2) unstable; urgency=medium

  * debian/control: Add libzstd-dev to Depends of r-base-dev 

  * debian/patches/libjvm.so-for-zero-build.patch: Support additional JDK
    location needed on loong64
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Apr 2025 07:00:09 -0500

r-base (4.5.0-0.2404.0) noble; urgency=medium

  * PPA build for Ubuntu 24.04 "noble"

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Apr 2025 07:06:00 -0500

r-base (4.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 11 Apr 2025 06:44:43 -0500
