=== debian/control ===
--- 
+++ 
@@ -52,17 +52,12 @@
 Provides: r-api-4.0, r-graphics-engine-${graphicsengine:Version}
 Recommends: r-recommended, r-base-dev, r-doc-html
 Suggests: elpa-ess, r-doc-info | r-doc-pdf, r-mathlib, r-base-html
-Breaks: r-cran-cairo (<< 1.6-0-4~),
-        r-cran-intervals (<< 0.15.3-1~),
-        r-cran-fnn (<< 1.1.3.2-1~),
-        r-cran-magick (<< 2.7.4+dfsg-2~),
-        r-cran-maldiquant (<< 1.22.1-1~),
-        r-cran-ps (<< 1.7.5-1~),
-        r-cran-ragg (<< 1.2.5-3~),
-        r-cran-svglite (<< 2.1.1-3~),
-        r-cran-tibble (<< 3.2.1+dfsg-2~),
-        r-cran-tikzdevice (<< 0.12.4-3~),
-        r-cran-vdiffr (<< 1.0.5-3~)
+Breaks: r-bioc-bioccheck (<< 1.42.1+dfsg-2~),
+        r-bioc-graph (<< 1.84.1-2~),
+        r-bioc-iranges (<< 2.40.1-3~),
+        r-bioc-pwalign (<< 1.2.0-3~),
+        r-cran-rlang (<< 1.1.5-2~),
+        r-cran-testthat (<< 3.2.3~)
 Description: GNU R core of statistical computation and graphics system
  R is a system for statistical computation and graphics.  It consists 
  of a language plus a run-time environment with graphics, a debugger, 
@@ -95,7 +90,7 @@
 
 Package: r-base-dev
 Architecture: all
-Depends: ${misc:Depends}, r-base-core (>= ${source:Version}), build-essential, gcc, g++, gfortran, libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev, libncurses-dev, libreadline-dev, libjpeg-dev, libpcre2-dev, libpng-dev, zlib1g-dev, libbz2-dev, liblzma-dev, libicu-dev, xauth, pkgconf, libtirpc-dev, libdeflate-dev
+Depends: ${misc:Depends}, r-base-core (>= ${source:Version}), build-essential, gcc, g++, gfortran, libblas-dev | libatlas-base-dev, liblapack-dev | libatlas-base-dev, libncurses-dev, libreadline-dev, libjpeg-dev, libpcre2-dev, libpng-dev, zlib1g-dev, libbz2-dev, liblzma-dev, libicu-dev, xauth, pkgconf, libtirpc-dev, libdeflate-dev, libzstd-dev
 Suggests: texlive-base, texlive-latex-base, texlive-plain-generic, texlive-fonts-recommended, texlive-fonts-extra, texlive-extra-utils, texlive-latex-recommended, texlive-latex-extra, texinfo
 Description: GNU R installation of auxiliary GNU R packages 
  R is a system for statistical computation and graphics.  It consists 
@@ -218,3 +213,6 @@
  Most of the user-visible functions in R are written in R.  It is 
  possible for the user to interface to procedures written in the 
  C, C++, or FORTRAN languages for efficiency, and many of R's core 
+ functions do so.  The R distribution contains functionality for a 
+ large number of statistical procedures and underlying applied math 
+ computations.  There is also a large set of functions which provide
