=== debian/changelog ===
r-base (4.5.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Homepage field to https, using capital-R per
    request of upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Jun 2025 05:06:44 -0500
